

extends ../../includes/layout


block content
    link(href='/vendor/bootstrap-daterangepicker/daterangepicker.css' rel='stylesheet')

    link(href='/vendor/clockpicker/css/bootstrap-clockpicker.min.css' rel='stylesheet')

    link(href='/vendor/jquery-asColorPicker/css/asColorPicker.min.css' rel='stylesheet')

    link(href='/vendor/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css' rel='stylesheet')

    link(rel='stylesheet' href='/vendor/pickadate/themes/default.css')
    link(rel='stylesheet' href='/vendor/pickadate/themes/default.date.css')
    link(href='https://fonts.googleapis.com/icon?family=Material+Icons' rel='stylesheet')
    style.


    .d-flex.align-items-center.mb-4
        h4.fs-20.font-w600.mb-0.me-auto
    .row
        .col-xl-12
            .card
                .card-header
                    h4.card-title #{nav}
                .card-body
                    .row
                        .col-sm-12
                            .basic-form
                                form
                                    input(type="hidden" name="action" id="action", value=action)
                                    input(type="hidden" name="id" id="id", value=id)
                                
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Username
                                        .col-sm-9
                                            input.form-control.solid(type='text' required value="")#username
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Password
                                        .col-sm-9
                                            input.form-control.solid(type='text' required value="")#password
                                    .mb-3.row#form_new_password(style="display:none")
                                        label.col-sm-3.col-form-label New Password
                                        .col-sm-9
                                            input.form-control.solid(type='text' required value="")#new_password
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Full Name
                                        .col-sm-9
                                            input.form-control.solid(type='text' required value="")#nickname
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Auctiob Board
                                        .col-sm-9
                                            input.form-control.solid(type='text' required value="")#auction_board
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Credit Limit
                                        .col-sm-9
                                            input.form-control.solid(type='number' required value="")#credit_limit



                                    fieldset.mb-3
                                        .row
                                            label.col-form-label.col-sm-3.pt-0 Active
                                            .col-sm-9
                                                .form-check
                                                    input.active(type='radio' name='radio_active' value="approve" checked='' required)
                                                    label.form-check-label
                                                        | Approve
                                                .form-check
                                                    input.active(type='radio' name='radio_active' value="wait" required)
                                                    label.form-check-label
                                                        | Wait
                                    .mb-3.row
                                        .col-sm-10
                                            button.btn.btn-primary(type='button')#btn_submit Create
block script
    script.
        var action = $('#action').val()
        var id = $('#id').val()


        if(action == 'edit'){
            load_data(id)
            $('#form_new_password').show()
        }

        function load_data(id){
            $.ajax({
                url: "#{base_url}admin/member/edit_data",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:{
                    id:id
                },
                success: function (data, status, xhr) {
                    if(status=='success' && xhr.status==201 && data.result){
                        console.log(data)
                        const item = data.data
                        console.log(item)  

                        $('#nickname').val(item.name)
                        $('#password').val('*******')
                        $('#password').prop('disabled',true)
                        $('#username').val(item.username)
                        $('#username').prop('disabled',true)

                        $('#auction_board').val(item.auction_board)
                        $('#credit_limit').val(item.credit_limit)

                        $("#room option[value="+item.room+"]").attr('selected','selected');
                        $("#lot option[value="+item.lot+"]").attr('selected','selected');



                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }

                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                    console.log(xhr);
                    console.log(status);
                    console.log(error);
                    //redirect_login();
                },
            });
        }

        $('#btn_submit').click(function(){
            let name = $('#nickname').val()
            let username = $('#username').val()
            let password = $('#password').val().trim()
            let new_password = $('#new_password').val().trim()
            let auction_board = $('#auction_board').val()
            let credit_limit = $('#credit_limit').val()
            let active = $(".active:checked").val();
            let data = {
                name:name,
                username:username,
                password:password,
                auction_board:auction_board,
                user_id:user_id,
                id:$('#id').val(),
                new_password:new_password,
                credit_limit:credit_limit,
                active:active
            }

            console.log(data)
            if(name==''){
                $('#nickname').focus();
            }else if(username==''){
                $('#username').focus();
            }else if(password==''){
                $('#password').focus();
            }else if(auction_board==''){
                $('#auction_board').focus();
            }else{
                if($('#action').val()=='edit'){
                    swal({
                        title: "Are you sure?",
                        text: action+" data ? ",
                        type: "warning",
                        showCancelButton: true,
                        confirmButtonColor: '#DD6B55',
                        confirmButtonText: 'Yes, I am sure!',
                        cancelButtonText: "No, cancel it!"
                    }).then(function(result) {
                        console.log(result)
                        if(result.value){
                            edit_data(data)
                        }
                    })
                }else{
                    swal({
                        title: "Are you sure?",
                        text: action+" data ? ",
                        type: "warning",
                        showCancelButton: true,
                        confirmButtonColor: '#DD6B55',
                        confirmButtonText: 'Yes, I am sure!',
                        cancelButtonText: "No, cancel it!"
                    }).then(function(result) {
                        console.log(result)
                        if(result.value){
                            add_data(data);
                        }
                    })
                }   
            }
        });

        function edit_data(data){

            $.ajax({
                url: "#{base_url}admin/member/edit_db",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:data,
                success: function (data, status, xhr) {
                    if(status=='success' && xhr.status==201 && data.result){
                        swal({
                            title: "Success!",
                            text:  data.message,
                            type: "success",
                            showCancelButton: true,
                            confirmButtonColor: '#DD6B55',
                            confirmButtonText: 'Back to list',
                            cancelButtonText: "Stay this page"
                        }).then(function(result) {
                            console.log(result)
                            if(result.value){
                                window.location = "#{base_url}admin/member";
                            }
                        })
                    }else{
                        swal("Oops...", data.message, "error");
                    }
                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                },
            });
        }

        function add_data(data){

            $.ajax({
                url: "#{base_url}admin/member/create",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:data,
                success: function (data, status, xhr) {
                    if(status=='success' && xhr.status==201 && data.result){
                        swal("Success", data.message, "success");
                        $('#action').val('edit')
                        $('#id').val(data.item._id)
                        $('#btn_submit').text('edit')
                        $('#form_new_password').show()

                        $('#password').val('*******')
                        $('#password').prop('disabled',true)
                        $('#username').val(data.item.username)
                        $('#username').prop('disabled',true)

                        swal({
                            title: "Success!",
                            text:  data.message,
                            type: "success",
                            showCancelButton: true,
                            confirmButtonColor: '#DD6B55',
                            confirmButtonText: 'Back to list',
                            cancelButtonText: "Stay this page"
                        }).then(function(result) {
                            console.log(result)
                            if(result.value){
                                window.location = "#{base_url}admin/member";
                            }
                        })
                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }
                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                },
            });
        }











